#include <iostream>

using namespace std;

int main()
{
    int t,n,m;
    cin>>t;
    for (int k=0;k<t;k++)
    {
        cin>>n>>m;
        if (n!=m)
            cout<<-1<<'\n';
        else
        {
            for (int i=0;i<n;i++)
            {
                for (int j=0;j<m;j++)
                {
                    if (j>=n-i-1)
                        cout<<1<<' ';
                    else
                        cout<<0<<' ';
                }
                cout<<'\n';
            }
        }
    }
}